Wt: Wt::Payment::OrderItem Class Reference

Wt 4.10.4

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Wt::Payment::OrderItem Class Reference

Describes an item in an order. More...

`#include <Wt/Payment/OrderItem.h>`

## Public Member Functions
void | setName (const WString &name)
| Sets the item name.
const WString & | name () const
| Returns item name.
void | setNumber (const std::string &number)
| Sets the item number.
std::string | number () const
| Returns item number.
void | setDescription (const WString &description)
| Sets the item description.
const WString & | description () const
| Returns the item description.
void | setQuantity (double quantity)
| Sets the item quantity.
double | quantity () const
| Returns the item quantity.
void | setUnitCost (const Money &unitCost)
| Changes the item unit cost field.
Money | unitCost () const
| Returns item unit cost.
Money | computeTotal () const
| Returns the total cost for this order item.

## Detailed Description

Describes an item in an order.

Usage example:

Wt::Payment::OrderItem item1, item2;
item1.setName("Waffle Maker");
item1.setNumber("00001");
item1.setDescription("Emweb FlipSide Belgian Waffle Maker");
item1.setQuantity(1);
item1.setUnitCost(Wt::Payment::Money(49, 99, "USD"));
Wt::Payment::Order order;
order.items().push_back(item1);
order.setShipping(Wt::Payment::Money(7, 1, "USD"));
order.setShippingDiscount(Wt::Payment::Money(-7, 0, "USD"));
order.setShippingInsurance(Wt::Payment::Money(2, 23, "USD"));
order.setTax(Wt::Payment::Money(500, 99, "USD"));
Wt::Payment::Money
A value class which describes a monetary value.
Definition Money.h:27
Wt::Payment::OrderItem
Describes an item in an order.
Definition OrderItem.h:46
Wt::Payment::OrderItem::setNumber
void setNumber(const std::string &number)
Sets the item number.
Wt::Payment::OrderItem::setDescription
void setDescription(const WString &description)
Sets the item description.
Wt::Payment::OrderItem::setQuantity
void setQuantity(double quantity)
Sets the item quantity.
Wt::Payment::OrderItem::setUnitCost
void setUnitCost(const Money &unitCost)
Changes the item unit cost field.
Wt::Payment::OrderItem::setName
void setName(const WString &name)
Sets the item name.
Wt::Payment::Order
Contains information of a sales order.
Definition Order.h:41
Wt::Payment::Order::items
const std::vector< OrderItem > & items() const
Returns all items in the order.
Definition Order.h:165
Wt::Payment::Order::setShippingDiscount
void setShippingDiscount(const Money &discount)
Sets the shipping discount.
Wt::Payment::Order::setTax
void setTax(const Money &tax)
Sets sales taxes.
Wt::Payment::Order::setShipping
void setShipping(const Money &shipping)
Sets shipping cost.
Wt::Payment::Order::setShippingInsurance
void setShippingInsurance(const Money &insurance)
Sets shipping insurance.

See also
  Order

## Member Function Documentation

## ◆ computeTotal()

Money Wt::Payment::OrderItem::computeTotal | ( |  | ) | const

Returns the total cost for this order item.

This returns quantity() * unitCost()

## ◆ description()

const WString & Wt::Payment::OrderItem::description | ( |  | ) | const

Returns the item description.

See also
  setDescription()

## ◆ name()

const WString & Wt::Payment::OrderItem::name | ( |  | ) | const

Returns item name.

See also
  setName()

## ◆ number()

std::string Wt::Payment::OrderItem::number | ( |  | ) | const

Returns item number.

See also
  setNumber()

## ◆ quantity()

double Wt::Payment::OrderItem::quantity | ( |  | ) | const

Returns the item quantity.

See also
  setQuantity()

## ◆ setQuantity()

void Wt::Payment::OrderItem::setQuantity | ( | double | quantity | ) |

Sets the item quantity.

This is either an integer quantity (number of items) or a fractional quantity (e.g. 1.5 times 1 kilogram).

The total price for this item in the order will be the quantity() times the unitCost().

## ◆ setUnitCost()

void Wt::Payment::OrderItem::setUnitCost | ( | const Money & | unitCost | ) |

Changes the item unit cost field.

This is the unit cost.

## ◆ unitCost()

Money Wt::Payment::OrderItem::unitCost | ( |  | ) | const

Returns item unit cost.

See also
  setUnitCost()